package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Customer_reportRepository;
import com.realnet.vpspack.Entity.Customer_report
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Customer_reportService {
@Autowired
private Customer_reportRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Customer_report Savedata(Customer_report data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Customer_report save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Customer_report> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Customer_report> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Customer_report> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Customer_report getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Customer_report update(Customer_report data,Integer id) {
	Customer_report old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setPhone_number(data.getPhone_number());

old.setEmail_id(data.getEmail_id());

final Customer_report test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
